FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 05-14-2010, 05:58 AM
Holger Fischer
 
Default Bug#581596: linux-2.6: pxe-booting a qemu-kvm or kvm guest with virtio network (fai-client) produces kernel panic

Package: linux-2.6
Version: 2.6.32-12
Severity: normal



-- System Information:
Debian Release: 5.0.4
APT prefers stable
APT policy: (990, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

This bug was introduced by 2.6.32-12 and working fine with 2.6.32-11, I believe i firstly tested it with a 2.6.30 from squeeze.
pxe-booting from a virtio device is not working with standard lenny kernel (2.6.26...) -> also a kernel panic,
that's why I backported a newer one.

Some further information:

qemu-kvm host:
squeeze,
uname -a:Linux hpedebsv03 2.6.32-3-amd64 #1 SMP Wed Feb 24 18:07:42 UTC 2010 x86_64 GNU/Linux
dpkg -l |grep virt
ii gvfs 1.6.0-1+b1 userspace virtual filesystem - server
ii libvirt-bin 0.8.0-2 the programs for the libvirt library
ii libvirt0 0.8.0-2 library for interfacing with different virtu
ii python-libvirt 0.8.0-2 libvirt Python bindings
ii qemu-kvm 0.12.3+dfsg-4 Full virtualization on x86 hardware
ii virt-manager 0.8.4-2 desktop application for managing virtual mac
ii virt-viewer 0.2.1-1 Displaying the graphical console of a virtua
ii virtinst 0.500.3-1 Programs to create and clone virtual machine

fai-server:
lenny fai server installed with fai,
nfsroot installed with a backported kernel,
kernel compiled from original linux-2.6_2.6.32-12.dsc,etc... from sid on a fresh and clean fai lenny minimal installation.

Best Regards
Holger Fischer



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20100514055816.6604.70300.reportbug@hpedebsv19.hpe .hoonet.org">http://lists.debian.org/20100514055816.6604.70300.reportbug@hpedebsv19.hpe .hoonet.org
 
Old 06-29-2010, 09:38 PM
Holger Fischer
 
Default Bug#581596: linux-2.6: pxe-booting a qemu-kvm or kvm guest with virtio network (fai-client) produces kernel panic

Hallo,

it's not a kernel problem.
When installing the newer initramfs-tools from official lenny fai repo
(http://www.informatik.uni-koeln.de/fai/download/lenny/,
initramfs-tools_0.93.4-grml02_all.deb)

pxe boots fine with virtio-net guests
(both with plain lenny 2.6.26... and backported 2.6.32 from squeeze).

Possibly you want to assign this bug initramfs-tools.

Cheers

Holger Fischer



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4C2A67DC.4060001@web.de">http://lists.debian.org/4C2A67DC.4060001@web.de
 
Old 06-29-2010, 09:57 PM
maximilian attems
 
Default Bug#581596: linux-2.6: pxe-booting a qemu-kvm or kvm guest with virtio network (fai-client) produces kernel panic

On Tue, Jun 29, 2010 at 11:38:36PM +0200, Holger Fischer wrote:
> Hallo,
>
> it's not a kernel problem.
> When installing the newer initramfs-tools from official lenny fai repo
> (http://www.informatik.uni-koeln.de/fai/download/lenny/,
> initramfs-tools_0.93.4-grml02_all.deb)
> pxe boots fine with virtio-net guests
> (both with plain lenny 2.6.26... and backported 2.6.32 from squeeze).
>
> Possibly you want to assign this bug initramfs-tools.

newer initramfs-tools has several network boot fixes indeed.

can you please test that it works with latest 0.97 in squeeze.
that one should install just fine in lenny.

thanks



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20100629215737.GJ9869@baikonur.stro.at">http://lists.debian.org/20100629215737.GJ9869@baikonur.stro.at
 
Old 06-29-2010, 11:08 PM
Michael Prokop
 
Default Bug#581596: linux-2.6: pxe-booting a qemu-kvm or kvm guest with virtio network (fai-client) produces kernel panic

* maximilian attems <max@stro.at> [Die Jun 29, 2010 at 11:57:38 +0200]:
> On Tue, Jun 29, 2010 at 11:38:36PM +0200, Holger Fischer wrote:

> > it's not a kernel problem.
> > When installing the newer initramfs-tools from official lenny fai repo
> > (http://www.informatik.uni-koeln.de/fai/download/lenny/,
> > initramfs-tools_0.93.4-grml02_all.deb)
> > pxe boots fine with virtio-net guests
> > (both with plain lenny 2.6.26... and backported 2.6.32 from squeeze).

> > Possibly you want to assign this bug initramfs-tools.

> newer initramfs-tools has several network boot fixes indeed.

> can you please test that it works with latest 0.97 in squeeze.
> that one should install just fine in lenny.

JFTR: initramfs-tools 0.93.4-grml02 was just a Q/A build of
initramfs-tools's git tree (and the incorporated Q/A stuff is merged
upstream nowadays), so I expect that initramfs-tools 0.97 works just
as expected.

I'll make sure that the FAI repository provides initramfs-tools
version >=0.97 as well.

regards,
-mika- - with both his grml and initramfs-tools hat on
 

Thread Tools




All times are GMT. The time now is 07:58 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org